=== debian/changelog ===
ros-one-aques-talk (2.1.31-19noble.20251023.0344) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <kei.okada@gmail.com>  Thu, 23 Oct 2025 03:44:14 +0000

ros-one-aques-talk (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-aques-talk (2.1.30-0noble) noble; urgency=high

  * CI:aques_talk : run aques_talk only when download was succeeded (#534 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/534>)
  * Add ROS-O 24.04 test (#521 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/521>)
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <kei.okada@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-aques-talk (2.1.29-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-aques-talk (2.1.28-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-aques-talk (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-aques-talk (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-aques-talk (2.1.25-0noble) noble; urgency=high

  * [aques_talk] build as x86 when dpkg cpu check fails (#387 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/387>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <kei.okada@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-aques-talk (2.1.24-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-aques-talk (2.1.23-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-aques-talk (2.1.22-0noble) noble; urgency=high

  * Ignore charactors which AquesTalk2 cannot recognize (#257 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/257>)
    
      * Update README on limitation
      * Delete certain characters when they come at the beginning of a sentence
      * fixed character replacement
      * Update README
      * Support Katakana
      * All charactors except [^a-zA-Z0-9ぁ-んー、。?？] are removed
      * Ignore charactors which AquesTalk2 cannot recognize
      * Add documentation path to README
    
  * add sound_play_topic  and sound_play_node_name argument (#227 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/227>)
  * Add build procedure for aques_talk (#236 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/236>)
  * Replace numbers in text file for aques_talk to speak numbers (#229 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/229>)
    
      * Update README about input limitation
      * Replace alphabet for aques_talk
      * Use regular expression [0-9]+ instead of [0-9][0-9]*
    
  * [aques_talk] catkinie aques_talk package (#224 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/224>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Ayaka Fujii, Koki Amabe

 -- Kei Okada <kei.okada@gmail.com>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-aques-talk (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-aques-talk (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-aques-talk (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-aques-talk (2.1.18-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-aques-talk (2.1.17-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 21:51:00 -0000

ros-one-aques-talk (2.1.16-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 15:21:00 -0000

ros-one-aques-talk (2.1.15-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-aques-talk (2.1.14-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-aques-talk (2.1.13-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-aques-talk (2.1.12-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 25 May 2019 00:00:00 -0000

ros-one-aques-talk (2.1.11-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-aques-talk (2.1.10-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-aques-talk (2.1.9-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-aques-talk (2.1.8-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-aques-talk (2.1.7-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-aques-talk (2.1.6-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-aques-talk (2.1.5-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-aques-talk (2.1.4-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-aques-talk (2.1.3-0noble) noble; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 07 Jul 2017 00:00:00 -0000


